# praemo-razor-visual

# Praemo Razor Visual

Utilities to support the rendering and visualization of insights and notificaitons gained from the Razor™ industrial AI/ML engine.

Easily connect your Razor™ insights to your existing frontend web app or Microsoft Power BI dashboard.
(Subscription to the Razor™ Engine is required.)

### About Razor™

Razor™ is a prescriptive analytics engine designed for industry that leverages AI and Machine Learning to detect and deter issues that degrade performance. Attaching to a company's IoT and operational data systems, Razor™ mines for anomalies and trends that signal any deviation from baseline performance. Alerting the operator to the potential issue and recommending specific actions to preempt future consequences when action is needed.

### Of Industry, For Industry

Razor™ was developed by industry professionals who best understand the challenges associated with their specific sector. Our people have experienced the problems we are solving with our Razor™ technology, firsthand, and leverage this industry knowledge to observe, interpret and process data in new ways. Our revolutionary technology adds insights that add value and help drive sustainable improvements within your operations.

### Our Unique Approach

Starting quickly with an historical data set, Razor™ will develop AI/ML models without creating disruption in your operations or stealing bandwidth from your time-constrained teams. After the models have been developed, they are integrated into existing data collection systems for real-time anomaly detection and learning reinforcement.

## Getting started

### Install

`npm install praemo-razor-visual`

### Use

```
import LineChart from "@praemo/praemo_visual/src/LineChart";
import BulletChart from "@praemo/praemo_visual/src/BulletChart";
import BoxPlotChart from "@praemo/praemo_visual/src/BoxPlotChart";
import ScatterPlotChart from "@praemo/praemo_visual/src/ScatterPlotChart";
import SpeedometerChart from "@praemo/praemo_visual/src/SpeedometerChart";
import TableChart from "@praemo/praemo_visual/src/TableChart";
import CounterChart from "@praemo/praemo_visual/src/CounterChart";
import MessageChart from "@praemo/praemo_visual/src/MessageChart";
import ImageChart from "@praemo/praemo_visual/src/ImageChart";
import MixedChart from "@praemo/praemo_visual/src/MixedChart";

let chart = LineChart(chartData)
```

## Details and Support

[Help & Support](https://www.praemo.com/support)  
[Privacy Policy](https://praemo.com/privacy-policy/)
